> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Secret Definitions

> List aggregated secret definitions from the registry.



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json get /workspaces/{workspace_id}/secrets/definitions
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /workspaces/{workspace_id}/secrets/definitions:
    get:
      tags:
        - secrets
      summary: List Secret Definitions
      description: List aggregated secret definitions from the registry.
      operationId: secrets-list_secret_definitions
      parameters:
        - name: workspace_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Workspace Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SecretDefinition'
                title: Response Secrets-List Secret Definitions
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyCookie: []
        - ServiceAccountApiKeyBearer: []
components:
  schemas:
    SecretDefinition:
      properties:
        name:
          type: string
          title: Name
        keys:
          items:
            type: string
          type: array
          title: Keys
        optional_keys:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Optional Keys
        optional:
          type: boolean
          title: Optional
          default: false
        secret_type:
          $ref: '#/components/schemas/SecretType'
          default: custom
        actions:
          items:
            type: string
          type: array
          title: Actions
        action_count:
          type: integer
          title: Action Count
      type: object
      required:
        - name
        - keys
        - actions
        - action_count
      title: SecretDefinition
      description: Aggregated secret definition from registry actions.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SecretType:
      type: string
      enum:
        - custom
        - ssh_key
        - mtls
        - ca_cert
        - github_app
      title: SecretType
      description: The type of a secret.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth
    ServiceAccountApiKeyBearer:
      type: http
      description: Tracecat service account API key.
      scheme: bearer

````